Switch active account for delegated access

Quickly switch between your main account and an account you have delegated access to. This is useful when managing multiple customer services or different department accounts.

Account & Access Delegated Access

Context

Used in the dashboard

/accept-invite/[token] /teams

Path Parameters

grantId string required Example: 11111111-1111-1111-1111-111111111111

grantId parameter

Headers

Accept Example
Content-Type Example

Body

required
application/json
grantId string · Example: 11111111-1111-1111-1111-111111111111
token string · Example: YOUR_TOKEN

Responses

200
data object required
data.grantId string · Example: 11111111-1111-1111-1111-111111111111
data.grantorClientId string · Example: 30000
data.label string · enum required · Example: Example Label
Example Label
data.message string · Example: Switched to delegated account

Human-readable message.

data.success boolean required · Example: true

True for successful responses.

data.targetClientId string · Example: 30000
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

400
code string required · Example: BAD_REQUEST

Machine-readable error code.

error string required · Example: Bad Request

HTTP status title (e.g. 'Bad Request').

message string required · Example: Already in a delegated access session. Switch back first.

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

401
code string required · Example: UNAUTHORIZED

Machine-readable error code.

error string required · Example: Unauthorized

HTTP status title (e.g. 'Bad Request').

message string required · Example: You must be logged in to accept an invite

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/delegated-access/{grantId}
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/delegated-access/11111111-1111-1111-1111-111111111111" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "grantId": "11111111-1111-1111-1111-111111111111"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "message": "Switched to delegated account",
    "targetClientId": "30000",
    "label": "Example Label"
  }
}
Request Body Example 1
{
  "grantId": "11111111-1111-1111-1111-111111111111"
}